Skip navigation
Currently Being Moderated

AIP and GPO AD Deployment and Upgrade Questions for 10.x

Apr 17, 2012 12:40 PM

Tags: #acrobat #pro #msi #reader #10.x #gpo #msp #aip #ad

As is usually the case with men and IT people, after deploying and upgrading Acrobat and Acrobat Pro, I have just now sat down to read the directions!

I have a few questions regarding Best Practices and potential issues with the deployment and upgrade of 10.x products through GPO.  I will be referencing the Enterprise Administration Guide (3/2/12).

 

A simple description of the environment is as follows:

Windows XP and Windows 7 machines, 32 and 64 bit running on a 2003 mode AD.

Not all client PCs are online at any given time, so it is possible that they will refresh their group policies at different times.

We wish to keep all installations up to date (at least as of the time of a machines latest GP refresh with reboot).

 

Question 1 - Retention of AIPs:

When creating new patched AIPs of Acrobat, the instructions are to put each new patched version in it's own directory

(p70 6.2 AIP Creation, step 4 - Creating the Distribution Point; p89 9.2 10.x GPO deployments, step 6. Add a new package to

the original GPO without moving existing packages).

As the AIP for Acrobat Pro 10 is nearly 1GB, this means that every patch to Acrobat Pro will result in a new 1GB AIP.

If someone were to have done this for each patch to date, that would be 8 AIPs already.

What is actually necessary to retain?  Previously, with version 9, I would only keep the most CURRENT patched

version AIP, which worked swimmingly, but this is not what is detailed in the Enterprise Admin Guide.

This relates to the next question as well, as at some point it MAY seem logical to purge interrim versions.

 

Question 2 - Keeping everyone up to date

I think I finally understand how to add the individual updated AIPs to the GPO, please correct me if I am wrong:

10.0.1 should be set to 'Upgrade over the existing 10.0'

10.0.2 should be set to 'Upgrade over the existing 10.0'

10.0.3 should be set to 'Upgrade over the existing 10.0'

10.1 should be set to 'Upgrade over the existing 10.0'

10.1.1 should be set to 'Upgrade over the existing 10.0'

10.1.2 should be set to 'Upgrade over the existing 10.0'

10.1.3 should be set to 'Upgrade over the existing 10.0'

 

When I add a new version AIP to the existing GPO, it already is populated with all prior versions.  Should these

be removed in order to adhere to the above?  I just tested installing 10.1.2 in a GPO that was set to upgrade 10.1.1

with the defaults (I'm not sure what the default is, Upgrade or Uninstall Previous Version?)  It appeared to work,

even though the documentation seems to say it should NOT work.  My confusion is further compounded by the following:

 

Section 6.4 -

Tip: Quarterlies are cumulative to the base release, and patches are cumulative to the last

quarterly. For example, you cannot install 10.1.1 over 10.1. Use msiexec.exe /x

<product GUID> <switches> to uninstall versions which impair your ability to adhere

to the installation

 

This would appear to make sense if I were installing the patch directly to a machine, BUT

this is in the 'Creation of an AIP' section, thus my confusion.  Also, if it is referring to installing

a 10.1.1 to a machine with 10.1.  But there are multiple places where the instructions state:

'MSI’s uninstall the product, so save your MST to reuse your customizations for future installs.'

So, does it uninstall the product before installing the new one, or does it only do that if you

specify it should (such as the GPO option 'Upgrade over existing' vs. 'Uninstall the existing

package, then install the upgrade package').

 
Replies
  • Currently Being Moderated
    Apr 17, 2012 1:05 PM   in reply to xxpluckyxx
    • You're right: 8 AIPs in your scenario. . 10.0 + last quarterly. This is one reason why most admins use bootstrapper or SCCM deployments.
    • Many folks report successful AIP creation using unsupported configuration--but then the install fails later on.
    • There are no new MSIs for Acrobat, so the part about "MSI's uninstall. . . " does not apply.

    Ben

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 17, 2012 3:33 PM   in reply to xxpluckyxx

    Yes, the only MSI was 10.0. Since then, everything is an MSP.

     

    Question 2: I think you have it right, but I'm forwarding to another. . .

     

    Ben

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points